Changeset 130107


Ignore:
Timestamp:
Dec 27, 2014, 4:35:21 AM (4 years ago)
Author:
larryv@…
Message:

mod_wsgi: Use Python 2.7 always

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/www/mod_wsgi/Portfile

    r130106 r130107  
    66
    77github.setup        GrahamDumpleton mod_wsgi 4.2.8
     8revision            1
    89categories          www python
    910platforms           darwin
     
    2122homepage            http://www.modwsgi.org/
    2223
    23 depends_lib         port:apache2
     24depends_lib         port:apache2 \
     25                    port:python27
    2426
    2527checksums           rmd160  1af7c5f96a54f629fdd55c459134a56bf0e2e743 \
     
    2729
    2830configure.args      --disable-framework \
    29                     --with-apxs=${prefix}/apache2/bin/apxs
     31                    --with-apxs=${prefix}/apache2/bin/apxs \
     32                    --with-python=${prefix}/bin/python2.7
    3033
    3134destroot.violate_mtree yes
     
    4144to your ${prefix}/apache2/conf/httpd.conf file.
    4245"
    43 
    44 if {![variant_isset python24]
    45         && ![variant_isset python25]
    46         && ![variant_isset python26]
    47         && ![variant_isset python27]
    48         && ![variant_isset python31]} {
    49     default_variants +python27
    50 }
    51 
    52 variant python24 conflicts python25 python26 python27 python31 description {Use Python 2.4} {
    53     depends_lib-append      port:python24
    54     configure.args-append   --with-python=${prefix}/bin/python2.4
    55 }
    56 
    57 variant python25 conflicts python24 python26 python27 python31 description {Use Python 2.5} {
    58     depends_lib-append      port:python25
    59     configure.args-append   --with-python=${prefix}/bin/python2.5
    60 }
    61 
    62 variant python26 conflicts python24 python25 python27 python31 description {Use Python 2.6} {
    63     depends_lib-append      port:python26
    64     configure.args-append   --with-python=${prefix}/bin/python2.6
    65 }
    66 
    67 variant python27 conflicts python24 python25 python26 python31 description {Use Python 2.7} {
    68     depends_lib-append      port:python27
    69     configure.args-append   --with-python=${prefix}/bin/python2.7
    70 }
    71 
    72 variant python31 conflicts python24 python25 python26 python27 description {Use Python 3.1} {
    73     depends_lib-append      port:python31
    74     configure.args-append   --with-python=${prefix}/bin/python3.1
    75 }
Note: See TracChangeset for help on using the changeset viewer.